/*GREY BACKGROUND*/
body {
  background-color: #EFEFEF;
  background-size: cover;
}

/*NAV BAR*/
.navbar-default {
  background-color: #003575;
}

/*CONTENT PAGE*/
.post-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  margin-top: 5rem;
}

.image-container {
  position: relative;
  margin: 2rem 1rem;
  width: 400px;
  height: 300px;
  align-self: center;
  box-shadow: 3px 4px rgba(0, 0, 0, 0.3);
  border-radius: 1rem;
  overflow: hidden;
}

img.img-src {
  max-height: 100%;
}

.image-container:active {
  transform: translateX(3px) translateY(4px);
  box-shadow: none;
}

.image-container {
  width: 400px;
  align-self: center;
  border-radius: 1rem;
}

.image-container .overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: none;
  color: #fff;
  display: block;
  background: rgba(0, 53, 117, 0.7);
  border-radius: 1rem;
}

.overlay-content {
  position: absolute;
  bottom: 0;
  margin-left: 0.7rem;
  margin-bottom: 1rem;
}

.empty-post {
  margin: 2rem 1rem;
  width: 400px;
  height: 0;
}

/*TEXT*/
.text-center {
  text-align: center;
}

h1.pagetitle {
  margin-top: 6%;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 800;
  line-height: normal;
  font-size: 42px;
}

.yellow-sq {
  background-color: #ffb300;
  border-radius: 40px;
  width: 450px;
  height: 18px;
  margin: -1.5rem auto;
  z-index: -1;
}

.uppercase {
  text-transform: uppercase;
}

.upperbold {
  text-transform: uppercase;
  font-weight: bold;
}

/*TEXT IN FLEX PROGRAM*/
div.program-text {
  text-align: left;
  color: white;
  opacity: 1;
  filter: alpha(opacity=100);
}

h5.program-name {
  text-transform: uppercase;
  font-family: Lato;
  font-style: normal;
  font-weight: bold;
  line-height: normal;
  font-size: 22px;
  text-align: left;

  color: #FFFFFF;
}

h6.program-target {
  font-family: Lato;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  font-size: 18px;

  color: #FFFFFF;
}

div.yellow-line {
  margin-top: -4px;
  margin-bottom: 3px;
  background-color: #FFB300;
  width: 200px;
  height: 4px;
}

/*PROGRAM DETAILS*/
.content-program {
  margin: 5%;
}

img.program-detail-image {
  width: 100%;
  max-height: auto;
  /*	position: absolute;
    clip: rect(40px,400px,300px,40px);*/
  border-radius: 15px;
  margin-bottom: 20px;
}

h1.program-name-details {
  font-family: Montserrat;
  font-style: normal;
  font-weight: 800;
  line-height: normal;
  font-size: 42px;
  text-transform: uppercase;
  text-align: left;
}

div.blue-line {
  background-color: #FFB300;
  width: 65%;
  height: 7px;
  border-radius: 50px;
  background-color: #003575;
}

#label-total,
#label-target {
  margin-top: 30px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;

  padding: 5px;
  background-color: #FFB300;
  border-radius: 15px;
  width: 100%;
  height: 34px;

  font-family: Lato;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  font-size: 18px;
  text-align: center;

  color: #003575;
}

#label-total:hover,
#label-target:hover {
  overflow: visible;
  color: white;
  background-color: #003575;
}

p.program-desc {
  text-indent: 10%;
  font-family: Lato;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  font-size: 18px;
  text-align: justify;

  color: #000000;
}

/*LIST DONATUR*/
.content-donatur {
  border-left: 3px solid #FFB300;
  padding: 5%;
}

h3.list-donatur {
  font-family: Montserrat;
  font-style: normal;
  font-weight: 800;
  line-height: normal;
  font-size: 26px;
  text-align: center;

  color: #003575;
}

.donatur-name {
  margin: 5%;
  background: #FFFFFF;
  box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.3);
  padding: 10px;
}

/*POSTS*/
.post-row {
  display: flex;
}


/* The Modal (background) */
.modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 1;
  /* Sit on top */
  padding-top: 100px;
  /* Location of the box */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: blue;
  /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4);
  /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  background-color: #FFB300;
  border-radius: 20px;
  margin: auto;
  color: #003575;
  padding: 20px;
  border: 1px solid #888;
  width: 50%;
}

/* The Close Button */
.close {
  color: black;
  float: right;
  font-size: 30px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

/*IF MEDIA < 400 FOR FLEX */
@media only screen and (max-width: 600px) {
  h1 {
    font-size: 36px;
  }

  .post-row {
    margin-top: 5px;
  }

  .image-container {
    width: 240px;
    height: 180px;
  }

  div.yellow-sq {
    background-color: #EFEFEF;
    width: 0px;
  }

  footer {
    padding: 4%;
  }

  .modal-content {
    width: 90%;
  }
}